<?php
$lastParser = $project->getLastParser();
?>
<div class="row">
    <div class="span12">
        <div class="widget">
            <div class="widget-header">
                <i class="icon-play"></i>

                <h3>Last Update</h3>
            </div>
            <div class="widget-content">
            <?php if ($lastParser): ?>
                <div class="bs-docs-example">
                    <dl class="dl-horizontal">
                        <dt>Update Started On:</dt>
                        <dd><?php echo $lastParser->started ?></dd>
                        <dt>Current Progress:</dt>
                        <dd><?php echo $lastParser->updated_backlinks ?>/<?php echo $lastParser->links_on_start ?></dd>
                        <dt>Current Status:</dt>
                        <dd>
                            <?php echo $lastParser->getStatus(); ?>
                            <?php switch($lastParser->getStatus()) {
                                case \App\Model\Parser::STATUS_FINISH:
                                    echo '<button class="btn btn-success parse">Start Update Again!</button>';
                                    break;
                                case \App\Model\Parser::STATUS_PAUSE_FAIL:
                                    echo '<button class="btn btn-success parse">Resume Update!</button>';
                                    break;
                            }?>
                        </dd>
                        <dd>&nbsp;</dd>
                        <dt>Removed/nofollowed links</dt>
                        <?php $notices = '';?>
                        <?php foreach ($lastParser->projects->ownNotices as $notice):?>
                        <?php $notices .= $notice->link. ' - '.$notice->type."\n";?>
                        <?php endforeach;?>
                        <dd><textarea style="width: 601px; height: 216px;"><?php echo $notices?></textarea></dd>
                        <dd>&nbsp;</dd>
                        <dt>Error Log (Last 10 Errors)</dt>
                        <dd>
                           <?php $i = 0; $textarea  = ''?>
                            <?php foreach(array_reverse($lastParser->ownBacklinks) as $backlink):?>
                                <?php $errors = $backlink->getErrors();?>
                                <?php if ($errors):?>
                                    <?php $textarea.= "\n".trim($backlink->link).":\n".implode("\n", $errors)."\n\n"?>
                                    <?php $i++; if ($i >= 10) {break;}?>
                                <?php endif;?>
                            <?php endforeach;?>
                            <textarea style="width: 601px; height: 216px;"><?php echo $textarea?></textarea>
                        </dd>
                    </dl>
                    <?php if ($lastParser->error):?>
                    Parser finished with error:<br/>
                    <pre><?php echo $lastParser->error?></pre>
                    <?php endif;?>
                </div>
            <?php else: ?>
                <b>Important:</b> Before you update this project for the first time, Please make sure to enable/disable settings from Project Setting. <br><br>No Updates Found, to Start First Update <button class="btn btn-success parse">Click Here!</button>
            <?php endif; ?>

            </div>
        </div>
    </div>
</div>

<script>
    jQuery(document).ready(function($){
        $('button.parse').click(function(){
            $.ajax({
                url: "<?php echo PROJECT_FOLDER;?>project/1/parser",
                timeout:3000,
                type: 'POST'
            }).done(function(){
                    window.location.href = window.location.href;
                }).fail(function(jqXHR, textStatus){
                    if(textStatus == 'timeout')
                    {

                    }
                    window.location.href = window.location.href;
                })
        })
    }(jQuery));
</script>
